### Signal

# Gtk TreeModel::rows-reordered

#### Declaration

    void
    rows_reordered (
      GtkTreeModel* self,
      GtkTreePath* path,
      GtkTreeIter* iter,
      gpointer new_order,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when the children of a node in the `GtkTreeModel` have been reordered.

Note that this signal is not emitted when rows are reordered by DND, since this is implemented by removing and then reinserting the row.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`path`

  Type: `GtkTreePath`

  A `GtkTreePath` identifying the tree node whose children have been reordered.

  The data is owned by the caller of the function.

`iter`

  Type: `GtkTreeIter`

  A valid `GtkTreeIter` pointing to the node whose children have been reordered, or `NULL` if the depth of `path` is 0

  The data is owned by the caller of the function.

`new_order`

  Type: `gpointer`

  An array of integers mapping the current position of each child to its old position before the re-ordering, i.e. `new_order``[newpos] = oldpos`

  The argument can be `NULL`.
  The data is owned by the caller of the function.